Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security.acl
Class SSLUserInfo

    java.lang.Object
      |
      +--weblogic.security.acl.DefaultUserInfoImpl
            |
            +--weblogic.security.acl.SSLUserInfo

public final class SSLUserInfo
extends DefaultUserInfoImpl

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.acl.DefaultUserInfoImpl
`certificates, id, password, realmName`

Constructor Summary
`SSLUserInfo(DefaultUserInfoImpl ui)`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`java.util.Vector` | `getSSLCertificates()`
`boolean` | `hasCertificates()`
`void` | `setSSLCertificate(X509 cert)`
`void` | `setSSLCertificates(java.util.Vector certs)`

Methods inherited from class weblogic.security.acl.DefaultUserInfoImpl
`crypt, equalsInAllButName, getCertificates, getName, getPassword, getRealmName, hashCode, hasPassword, read, readExternal, setCredential, setName, toString, write, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLUserInfo

    public SSLUserInfo(DefaultUserInfoImpl ui)

Method Detail

### setSSLCertificate

    public void setSSLCertificate(X509 cert)

### setSSLCertificates

    public void setSSLCertificates(java.util.Vector certs)

### getSSLCertificates

    public java.util.Vector getSSLCertificates()

### hasCertificates

    public boolean hasCertificates()

  Overrides:
    hasCertificates in class DefaultUserInfoImpl

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    equals in class DefaultUserInfoImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD